package cvj2;

import cvj2.app.gui.util.MsgBox;
import cvj2.util.Log;

/**
 * 起動用Main。<br>
 * {@link cvj2.app.Main}を呼ぶことしかしていない。
 */
public class Main {
  private Main() {}

  /**
   * Main
   */
  public static void main(String[] args) {
    try {
      cvj2.app.Main.main(args);
    }
    catch (Throwable e) {
      Log.e(e);
      MsgBox.error("プログラムエラー", "深刻なエラーが発生しました\n\n" + e.getMessage());
    }
  }
}
