package cvj2.app.gui.dialogs;

import org.eclipse.swt.widgets.Shell;

import cvj2.file.util.FileUtil;

/**
 * ファイル名変更ダイアログ
 */
public class FileRenameDialog extends InputAndMessageDialog {
  /**
   * コンストラクタ
   */
  public FileRenameDialog(Shell parentShell, String filename, String message) {
    super(parentShell);

    String[] spl = FileUtil.splitBasenameExt(filename);
    int selStart = 0;
    int selEnd = filename.length();
    if (spl[1].length() > 0) {
      selStart = 0;
      selEnd = spl[0].length();
    }
    
    super.setData("名称変更", filename, selStart, selEnd, message);
  }
}
