package cvj2.file.util;

import org.eclipse.core.runtime.IProgressMonitor;

/**
 * FileOperationCanceller の、IProgressMonitor での実装
 */
public class FileOperationCancellerJFace implements FileOperationCanceller {
  private IProgressMonitor monitor;
  
  /**
   * コンストラクタ
   */
  public FileOperationCancellerJFace(IProgressMonitor monitor) {
    this.monitor = monitor;
  }
  
  @Override
  public boolean isCancel() {
    return monitor.isCanceled();
  }
}
