package cvj2.gui.awt.migemo;

import java.awt.event.KeyEvent;

import cvj2.migemo.MigemoKeyHandler;

/**
 * AWTに対応した MigemoKeyHandler
 */
public class AWTMigemoKeyHandler extends MigemoKeyHandler {
  /**
   * 文字入力イベントの判定
   * @return 文字列として認識したら、true
   */
  public boolean handleKeyEvent(KeyEvent ev) {
    char c = ev.getKeyChar();

    // 認識できる文字かどうか調べる
    if (c == KeyEvent.CHAR_UNDEFINED || Character.isISOControl(c)) {
      cancelKeySequence();
      return false;
    }
    handleKeyChar(c, ev.getWhen());
    return true;
  }

}
