package cvj2.util;

/**
 * 全角英数を半角英数に変換する
 */
public class CnvZenHan {
  /**
   * 全角英数を半角英数に
   */
  static public String cnvZen2HanAlnum(String s) {
    StringBuilder sb = new StringBuilder(s.length());
    for (int i = 0; i < s.length(); i++) {
      sb.append(cnvZen2Han(s.charAt(i)));
    }
    return sb.toString();
  }
  
  private static char cnvZen2Han(char c) {
    if ('０' <= c && c <= '９') return (char)('0' + (c - '０'));
    if ('Ａ' <= c && c <= 'Ｚ') return (char)('A' + (c - 'Ａ'));
    if ('ａ' <= c && c <= 'ｚ') return (char)('a' + (c - 'ａ'));
    return c;
  }
}
