package cvj2.app.file.imgload;

import cvj2.img.ImageInfo;
import cvj2.util.DelimString;

/**
 * 画像ロード結果
 */
public class ImageLoadResult {
  /**
   * 読み込んだオリジナル画像(ページ結合、サイズ変更前)の情報
   */
  public ImageInfo[] originalImageInfos = { null, null };

  /**
   * 読み込んだオリジナル画像(サイズ変更前)の情報
   */
  public ImageInfo originalImageInfo;
  
  /**
   * 画像読み込み失敗時のメッセージ
   */
  public String loadFailMessage = "";
  
  /**
   * 変換時のデバッグメッセージ
   */
  public DelimString convertDebugMessage = new DelimString("\n");
}
