package cvj2.gui.swt.dnd;

import java.util.ArrayList;
import java.util.List;

/**
 * 移動とコピーの区別のある FileTransferData
 */
public class MyFileTransferData {
  public boolean isCopy;
  public List<String> files;

  public MyFileTransferData() { 
    files = new ArrayList<String>();
  }
  
  public MyFileTransferData(boolean isCopy, List<String> files) {
    this.isCopy = isCopy;
    this.files = files;
  }

  public MyFileTransferData(boolean isCopy, String[] files) {
    this();
    this.isCopy = isCopy;
    for (String s : files) this.files.add(s);
  }

  @Override
  public String toString() {
    return (isCopy ? "COPY" : "MOVE") + ":" + files;
  }
}
