package cvj2.img;

import java.awt.Dimension;
import java.awt.image.BufferedImage;

/**
 * 画像情報
 */
public class ImageInfo {
  public int type;
  public int width;
  public int height;

  public ImageInfo(int type, int width, int heidht) {
    super();
    this.type = type;
    this.width = width;
    this.height = heidht;
  }

  public ImageInfo(BufferedImage bi) {
    type = bi.getType();
    width = bi.getWidth();
    height = bi.getHeight();
  }

  public Dimension getSize() {
    return new Dimension(width, height);
  }
  
  @Override
  public String toString() {
    return "[" + width + "x" + height + " " + ImageUtil.getBufferedImageTypeString(type) + "]";
  }
}
