package cvj2.img;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Rectangle;

import org.eclipse.swt.graphics.RGB;

/**
 * SWTからAWTへの変換
 */
public class SWT2AWT {
  static public Rectangle toRectangle(org.eclipse.swt.graphics.Rectangle rect) {
    return new Rectangle(rect.x, rect.y, rect.width, rect.height);
  }
  
  static public Dimension toDimension(org.eclipse.swt.graphics.Rectangle rect) {
    return new Dimension(rect.width, rect.height);
  }

  static public Dimension toDimension(org.eclipse.swt.graphics.ImageData img) {
    return new Dimension(img.width, img.height);
  }
  
  static public Color toColor(RGB rgb) {
    return new Color(rgb.red, rgb.green, rgb.blue);
  }
}
