package cvj2.util;

/**
 * サイズ計測できるオブジェクト。<br>
 * (SizeCacheMap で使用する)<br>
 * (オブジェクトのメモリサイズを計測するために使用される)
 */
public interface SizeCountable {
  /**
   * オブジェクトの使用しているメモリバイト数を取得する
   */
  public long getObjectBytes();
}
